# Class: Haml::Filters::Ruby

Inherits:
  Base
  - Object
  - Base
  - Haml::Filters::Ruby
  show all

Defined in:
  lib/haml/filters/ruby.rb

## Instance Method Summary collapse

- #compile(node)

### Methods inherited from Base

#initialize

## Constructor Details

This class inherits a constructor from Haml::Filters::Base

## Instance Method Details

### #compile(node)

    5
    6
    7

    # File 'lib/haml/filters/ruby.rb', line 5

    def compile(node)
      [:multi, [:newline], [:code, node.value[:text]]]
    end